| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USBD_MSC_API_T Struct Reference
Mass Storage Class (MSC) Function Driver

## Detailed Description

MSC class API functions structure.

This module exposes functions which interact directly with USB device controller hardware.

Definition at line 182 of file usbd_mscuser.h.

`#include "usbd_mscuser.h"`

## Data Fields
uint32_t(* | GetMemSize )(USBD_MSC_INIT_PARAM_T *param)
ErrorCode_t(* | init )(USBD_HANDLE_T hUsb, USBD_MSC_INIT_PARAM_T *param)

## Field Documentation

uint32_t(* GetMemSize)(USBD_MSC_INIT_PARAM_T *param)

Function to determine the memory required by the MSC function driver module.

This function is called by application layer before calling pUsbApi->msc->Init(), to allocate memory used by MSC function driver module. The application should allocate the memory which is accessible by USB controller/DMA controller.

Note
  Some memory areas are not accessible by all bus masters.

Parameters

  [in] | param | Structure containing MSC function driver module initialization parameters.

Returns
  Returns the required memory size in bytes.

Function to determine the memory required by the MSC function driver module.

This function is called by application layer before calling pUsbApi->msc->Init(), to allocate memory used by MSC function driver module. The application should allocate the memory which is accessible by USB controller/DMA controller.

Note
  Some memory areas are not accessible by all bus masters.

Parameters

  param | Structure containing HID function driver module initialization parameters.

Returns
  Returns the required memory size in bytes.

Definition at line 195 of file usbd_mscuser.h.

ErrorCode_t(* init)(USBD_HANDLE_T hUsb, USBD_MSC_INIT_PARAM_T *param)

Function to initialize MSC function driver module.

This fuction is called by application layer to initialize MSC function driver module.

Parameters

  [in] | hUsb | Handle to the USB device stack.
  [in,out] | param | Structure containing MSC function driver module initialization parameters.

Returns
  Returns ErrorCode_t type to indicate success or error condition.

Return values

  LPC_OK | On success
  ERR_USBD_BAD_MEM_BUF | Memory buffer passed is not 4-byte aligned or smaller than required.
  ERR_API_INVALID_PARAM2 | Either MSC_Write() or MSC_Read() or MSC_Verify() callbacks are not defined.
  ERR_USBD_BAD_INTF_DESC | Wrong interface descriptor is passed.
  ERR_USBD_BAD_EP_DESC | Wrong endpoint descriptor is passed.

Function to initialize MSC function driver module.

This fuction is called by application layer to initialize MSC function driver module.

Parameters

  hUsb | Handle to the USB device stack.
  param | Structure containing HID function driver module initialization parameters.

Returns
  Returns ErrorCode_t type to indicate success or error condition.

Return values

  LPC_OK | On success
  ERR_USBD_BAD_MEM_BUF | Memory buffer passed is not 4-byte aligned or smaller than required.
  ERR_API_INVALID_PARAM2 | Either MSC_Write() or MSC_Read() or MSC_Verify() callbacks are not defined.
  ERR_USBD_BAD_INTF_DESC | Wrong interface descriptor is passed.
  ERR_USBD_BAD_EP_DESC | Wrong endpoint descriptor is passed.

Definition at line 213 of file usbd_mscuser.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_mscuser.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/DCD/USBRom/usbd_mscuser.h